CNMAC(4)

NAME
cnmac - Cavium OCTEON built-in Ethernet device

SYNOPSIS
cnmac* at cn30xxgmx?

DESCRIPTION
The cnmac driver supports built-in Ethernet ports on Cavium OCTEON CN30xx and Cavium OCTEON Plus CN50xx system on chips. Among the routers based on these chips are the following:

D-Link DSR-500
Portwell CAM-0100
Ubiquiti Networks EdgeRouter LITE
Ubiquiti Networks EdgeRouter PoE

The cnmac driver supports TCP/UDP checksum offload on IPv4/IPv6 reception and transmission. The driver additionally supports IPv4 checksum offload on reception.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), hostname.if(5), ifconfig(8)

HISTORY
The cnmac driver first appeared in OpenBSD 5.4.

AUTHORS
-nosplit The cnmac driver was written by Internet Initiative Japan Inc.